
var test = require('./index');

// Test: set and get
test.clear();
test.set('mike', 10);
test.incrby('mike', 30);
console.log('>> 40 == ' + test.get('mike'));

// Test: cache size
test.clear();
for (var i = 0; i < 300; i++) test.set(i, i + 2);
console.log('>> 300 == ' + test.size());

// Test: set() trigger
test.clear();
test.set('mike', 10);
test.trigger('mike', 'value == 18', 
	function() { 
		console.log('>> trigger is good');
	});
test.set('mike', 18);

// Test: counter
test.clear();
test.useCounter();
test.set('mike', 20);
for (var i = 0; i < 500; i++) test.get('mike');
console.log('>> 500 == ' + test.getCount('mike'));

// Test: trigger counter
test.clear();
test.set('mike', 10);
test.trigger('mike', 'value == 18', 
	function() { 
		console.log('>> trigger is good');
	});
for (var i = 0; i < 300; i++) test.set('mike', 15);
for (var i = 0; i < 50; i++) test.set('mike', 20);
for (var i = 0; i < 30; i++) test.set('mike', 18);
console.log('>> 30 == ' + test.getTriggerCount('mike'));

// Test: time-to-live
test.clear();
test.set('mike', 10);
test.ttl('mike', 2000);
console.log('>> 40 == ' + test.get('mike'));

setTimeout(function() {
    console.log('>> false == ' + test.isValidKey('mike'));
}, 2010);


